import { App } from "vue"
import ElementPlus from "element-plus"
//import "element-plus/dist/index.css"
import "@/assets/elementTheme.scss"
import zhCn from "element-plus/es/locale/lang/zh-cn"
import dictionary from "@/components/dictionary"
import tooltipAutoShow from "@/components/tooltipAutoShow"
import split from "@/components/split"
import ellipsis from "@/components/ellipsis"
import ellipsisScroll from "@/components/ellipsisScroll"

export default (app: App<Element>) => {
   //element
   app.use(ElementPlus, {
      locale: zhCn
   })
   //dictionary
   app.component("dictionary", dictionary)
   //tooltipAutoShow
   app.component("tooltipAutoShow", tooltipAutoShow)
   //split
   app.component("split", split)
   //ellipsis
   app.component("ellipsis", ellipsis)
   //ellipsisScroll
   app.component("ellipsisScroll", ellipsisScroll)
}
